﻿using System;
using System.Linq;
using Dynamicweb.Extensibility;
using Dynamicweb.Frontend;
using Dynamicweb.Samples.Web.Model;

namespace Dynamicweb.Samples.Web.DvkArticles
{
	[AddInName("DvkArticles")]
	public class Frontend : ContentModule
	{
		public override string GetContent()
		{
			// Nested loops
			using (CustomModulesSamplesEntities db = new CustomModulesSamplesEntities())
			{
				Dynamicweb.Templatev2.Template listTemplate = new Dynamicweb.Templatev2.Template("DvkArticles/ArticleList.html");

				var allCategories = db.Categories.Include("Articles").Where(c => c.Articles.Where(ci => (ci.PublicationDateFrom <= DateTime.Now && ci.PublicationDateTo >= DateTime.Now && !ci.Deleted)).Count() > 0);

				Dynamicweb.Templatev2.Template categoriesTemplate = listTemplate.GetLoop("CategoryLoop");
				Dynamicweb.Templatev2.Template articleTemplate;

				foreach (var category in allCategories)
				{
					categoriesTemplate.SetTag("CategoryName", category.Description);
					articleTemplate = categoriesTemplate.GetLoop("ItemsLoop");
					foreach (var article in category.Articles.Where(c => (c.PublicationDateFrom <= DateTime.Now && c.PublicationDateTo >= DateTime.Now && !c.Deleted)).OrderBy(c => c.Title))
					{
						articleTemplate.SetTag("Title", article.Title);
						string url = string.Format("Default.aspx?ID={0}&ArticleId={1}", Pageview.ID.ToString(), article.Id.ToString());
						string link = SearchEngineFriendlyURLs.getSearchFriendlyUrl(url, article.Title);
						articleTemplate.SetTag("DetailsUrl", link);
						articleTemplate.CommitLoop();
					}
					categoriesTemplate.CommitLoop();
				}
				return listTemplate.Output();
			}

			// Single loop
			//using (CustomModulesSamplesEntities db = new CustomModulesSamplesEntities())
			//{
			//  var allArticles = db.Articles.Where(a => a.PublicationDateFrom <= DateTime.Now && a.PublicationDateTo >= DateTime.Now && !a.Deleted).OrderBy(a => a.Title);

			//  Dynamicweb.Templatev2.Template listTemplate = new Dynamicweb.Templatev2.Template("DvkArticles/ArticleList.html");

			//  Dynamicweb.Templatev2.Template itemTemplate = listTemplate.GetLoop("ItemsLoop");

			//  foreach (var article in allArticles)
			//  {
			//    itemTemplate.SetTag("Title", article.Title);
			//    string url = string.Format("Default.aspx?ID={0}&ArticleId={1}", Pageview.ID.ToString(), article.Id.ToString());
			//    string link = SearchEngineFriendlyURLs.getSearchFriendlyUrl(url, article.Title);

			//    itemTemplate.SetTag("DetailsUrl", link);
			//    itemTemplate.CommitLoop();
			//  }
			//  return listTemplate.Output();
			//}
		}
	}
}